Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062099 - Sound does not work on my new computer under Fedora 19 or 20 [NEEDINFO]
Summary: Sound does not work on my new computer under Fedora 19 or 20
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 21
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 06:43 UTC by Graham
Modified: 2015-12-02 16:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:08:10 UTC
kernel-team: needinfo?


Attachments (Terms of Use)
Output from running dmesg (deleted)
2014-02-06 06:43 UTC, Graham
no flags Details
Output from dmesg from the 3.13.4-200.fc20 kernel (deleted)
2014-02-26 09:19 UTC, Graham
no flags Details
Output from dmesg from the 3.17.2-200.fc20.x86_64 kernel (deleted)
2014-11-19 20:47 UTC, Graham
no flags Details

Description Graham 2014-02-06 06:43:18 UTC
Created attachment 860000 [details]
Output from running dmesg

Description of problem:
Although sound works under Windows 8, I cannot get any sound under Linux

Version-Release number of selected component (if applicable):
3.12.9-301.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot the computer
2. Try to use any software that plays sounds, eg Audacity, Firefox/youtube
3. 

Actual results:
Silence, even though the software shows that sound is being processed

Expected results:
I should hear the sound

Additional info:
It does not matter whether I use headphones or the built-in speakers.

cat /proc/asound/cards
gives  
 0 [HDMI           ]: HDA-Intel - HDA ATI HDMI
                      HDA ATI HDMI at 0xf0344000 irq 46
 1 [Generic        ]: HDA-Intel - HD-Audio Generic
                      HD-Audio Generic at 0xf0340000 irq 16

Running alsa-info.sh creates a file at:
http://www.alsa-project.org/db/?f=870c1671ada700ecee51b3608fc73f106870bcc6

I have tried many things that I have found on the web:

1. creating a file /etc/modprobe.d/alsa-base-blacklist.conf containing : 
blacklist snd-hda-codec-hdmi

2. adding to /etc/pulse/default.pa the lines:
load-module module-alsa-sink hw:1,0
set-default-sink 1

I have verified using alsamixer and pavucontrol the output is turned on and has volume. Nothing works.

Comment 1 Adam Williamson 2014-02-14 08:01:24 UTC
Do you get any sound through the headphone output?

Comment 2 Graham 2014-02-16 05:59:11 UTC
No, none from the headphones or from the built-in speakers.

Comment 3 Justin M. Forbes 2014-02-24 13:53:06 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 4 Graham 2014-02-26 06:31:32 UTC
The problem is still there after upgrading kernel to 3.13.4-200.fc20.x86_64

Comment 5 Graham 2014-02-26 09:19:00 UTC
Created attachment 867890 [details]
Output from dmesg from the 3.13.4-200.fc20 kernel

Comment 6 Justin M. Forbes 2014-03-17 18:42:57 UTC
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Comment 7 Graham 2014-03-17 20:30:22 UTC
This is still an issue with Fedora 20. I provided the information requested a month ago. I do not understand the "insufficient data" message. The machine that I have installed Fedora 20 on is sitting in the cupboard unused because of this and two other problems with Fedora 20. I am relying on Fedora 18 on another machine for all of my work.

Comment 8 Adam Williamson 2014-03-17 22:34:48 UTC
You didn't unset the 'needinfo' flag when you added comment #4 and c#5. As the "MASS BUG UPDATE" text indicates, the closure is done by a script, not a human. It saw the bug was still 'needinfo', so it closed it.

Comment 9 Graham 2014-03-17 22:40:28 UTC
OK. I am sorry that I did not know that I needed to tick on the box. How to I reopen it?

Comment 10 Adam Williamson 2014-03-17 22:43:39 UTC
Don't worry, I just did it. :)

Comment 11 Justin M. Forbes 2014-05-21 19:37:47 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 12 Graham 2014-05-23 12:13:29 UTC
The bug is unchanged and remains with 3.14.4-200.fc20

Comment 13 Justin M. Forbes 2014-11-13 15:56:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 14 Graham 2014-11-19 20:39:11 UTC
The bug is unchanged and remains with 3.17.2-200.fc20.

Comment 15 Graham 2014-11-19 20:47:18 UTC
Created attachment 959152 [details]
Output from dmesg from the 3.17.2-200.fc20.x86_64 kernel

Comment 16 Graham 2014-12-15 10:15:16 UTC
I have upgraded to Fedora 21 and there is no change in the problem. I get no sound from the analog sound system (and have no way of checking the HDMI). I am using 3.17.6-300.fc21.x86_64

Comment 17 Fedora Kernel Team 2015-02-24 16:22:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 18 Fedora Kernel Team 2015-04-28 18:29:43 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.

Comment 19 Fedora End Of Life 2015-11-04 15:34:53 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2015-12-02 03:08:16 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.